Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AccessHashType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AccessHashType

Direct Known Subclasses:
  `TdApi.AccessHashTypeChannel`, `TdApi.AccessHashTypeUser`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.AccessHashType extends TdApi.Object permits TdApi.AccessHashTypeUser, TdApi.AccessHashTypeChannel
This class is an abstract base class. Represents the type of an access hash. The following types are possible: user, channel.

## Constructor Summary

Constructors
Constructor
Description
`AccessHashType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessHashType

public AccessHashType()
Default class constructor.